package com.fs.company.service;

import java.util.List;
import com.fs.company.domain.CompanySms;
import com.fs.company.domain.CompanySmsOrder;
import com.fs.company.dto.CompBuySmsDTO;
import com.fs.company.vo.CompanySmsListVO;

/**
 * 公司短信Service接口
 *
 * @author fs
 * @date 2023-01-09
 */
public interface ICompanySmsService
{
    /**
     * 查询公司短信
     *
     * @param smsId 公司短信ID
     * @return 公司短信
     */
    public CompanySms selectCompanySmsById(Long smsId);

    /**
     * 查询公司短信列表
     *
     * @param companySms 公司短信
     * @return 公司短信集合
     */
    public List<CompanySmsListVO> selectCompanySmsList(CompanySms companySms);

    /**
     * 新增公司短信
     *
     * @param companySms 公司短信
     * @return 结果
     */
    public int insertCompanySms(CompanySms companySms);

    /**
     * 修改公司短信
     *
     * @param companySms 公司短信
     * @return 结果
     */
    public int updateCompanySms(CompanySms companySms);

    /**
     * 批量删除公司短信
     *
     * @param smsIds 需要删除的公司短信ID
     * @return 结果
     */
    public int deleteCompanySmsByIds(Long[] smsIds);

    /**
     * 删除公司短信信息
     *
     * @param smsId 公司短信ID
     * @return 结果
     */
    public int deleteCompanySmsById(Long smsId);

    CompanySms selectCompanySmsByCompanyId(Long companyId);


    int subCompanySms(Long companyId, int number);

    int addCompanySms(Long companyId, int number);

    CompanySms selectCompanySmsByCompanyIdForUpdate(Long companyId);
    /**
     * 公司充值短信套餐
     *
     * @param compBuySmsDTO 请求参数
     * @return CompanySmsOrder 订单数据
     */
    CompanySmsOrder buySms(CompBuySmsDTO compBuySmsDTO);

}
